Bug 857762 - [abrt] xfce4-sensors-plugin-1.2.3-3.fc17: standard_free: Process /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin was killed by signal 11 (SIGSEGV)
[abrt] xfce4-sensors-plugin-1.2.3-3.fc17: standard_free: Process /usr/libexec...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xfce4-sensors-plugin (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
abrt_hash:35c3d42cf0cce21ff9773ab4b09...
:
: 871646 902060 949202 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-16 18:07 EDT by JW Hall
Modified: 2013-07-31 18:40 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 18:40:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (1.61 KB, text/plain)
2012-09-16 18:07 EDT, JW Hall
no flags Details
File: environ (1.37 KB, text/plain)
2012-09-16 18:07 EDT, JW Hall
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-16 18:07 EDT, JW Hall
no flags Details
File: backtrace (37.48 KB, text/plain)
2012-09-16 18:07 EDT, JW Hall
no flags Details
File: cgroup (127 bytes, text/plain)
2012-09-16 18:08 EDT, JW Hall
no flags Details
File: maps (18.05 KB, text/plain)
2012-09-16 18:08 EDT, JW Hall
no flags Details
File: dso_list (5.06 KB, text/plain)
2012-09-16 18:08 EDT, JW Hall
no flags Details
File: open_fds (293 bytes, text/plain)
2012-09-16 18:08 EDT, JW Hall
no flags Details

  None (edit)
Description JW Hall 2012-09-16 18:07:49 EDT
Description of problem:
Turned on the computer.

Version-Release number of selected component:
xfce4-sensors-plugin-1.2.3-3.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin '' 32 25165870 xfce4-sensors-plugin 'Sensor plugin' 'Show sensor values.' '/home/buzz/Downloads/cinnamon_themes/Wood n Tux/cinnamon/modal.svg'
crash_function: standard_free
kernel:         3.5.3-1.fc17.i686

truncated backtrace:
:Thread no. 1 (10 frames)
: #19 standard_free at gmem.c
: #21 sensors_free at sensors-plugin.c
: #22 g_cclosure_marshal_VOID__VOIDv at gmarshal.c
: #23 _g_closure_invoke_va at gclosure.c
: #26 xfce_panel_plugin_dispose at xfce-panel-plugin.c
: #28 gtk_object_destroy at gtkobject.c
: #29 gtk_bin_forall at gtkbin.c
: #30 gtk_container_foreach at gtkcontainer.c
: #31 gtk_container_destroy at gtkcontainer.c
: #32 gtk_window_destroy at gtkwindow.c
Comment 1 JW Hall 2012-09-16 18:07:52 EDT
Created attachment 613514 [details]
File: core_backtrace
Comment 2 JW Hall 2012-09-16 18:07:54 EDT
Created attachment 613515 [details]
File: environ
Comment 3 JW Hall 2012-09-16 18:07:55 EDT
Created attachment 613516 [details]
File: limits
Comment 4 JW Hall 2012-09-16 18:07:58 EDT
Created attachment 613517 [details]
File: backtrace
Comment 5 JW Hall 2012-09-16 18:08:00 EDT
Created attachment 613518 [details]
File: cgroup
Comment 6 JW Hall 2012-09-16 18:08:02 EDT
Created attachment 613519 [details]
File: maps
Comment 7 JW Hall 2012-09-16 18:08:04 EDT
Created attachment 613520 [details]
File: dso_list
Comment 8 JW Hall 2012-09-16 18:08:05 EDT
Created attachment 613521 [details]
File: open_fds
Comment 9 Darío 2012-09-17 16:44:19 EDT
ancle el programa a la barra de herrmientas y aparecio el error

backtrace_rating: 4
Package: xfce4-sensors-plugin-1.2.3-3.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Christoph Wickert 2012-11-29 13:51:28 EST
*** Bug 871646 has been marked as a duplicate of this bug. ***
Comment 11 Christoph Wickert 2013-02-14 11:19:39 EST
*** Bug 902060 has been marked as a duplicate of this bug. ***
Comment 12 Christoph Wickert 2013-05-09 13:29:47 EDT
*** Bug 949202 has been marked as a duplicate of this bug. ***
Comment 13 gregjo 2013-06-07 23:44:30 EDT
I added the Sensor to the Panel. Then I opened the preferences and at some point the crash happened.

reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin '' 18 23087089 xfce4-sensors-plugin 'Sensor plugin' 'Show sensor values.' ''
core_backtrace: 
crash_function: standard_free
executable:     /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin
kernel:         3.9.4-200.fc18.i686.PAE
package:        xfce4-sensors-plugin-1.2.3-6.fc18
reason:         Process /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1000
Comment 14 ARIKO 2013-06-08 10:03:31 EDT
Aptent to set sensors, no result... crash after exit (laptop Toshiba SP6100pro)

reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin '' 17 10526384 xfce4-sensors-plugin 'Greffon de capteurs' 'Afficher les valeurs du capteur.' ''
core_backtrace: 
crash_function: standard_free
executable:     /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin
kernel:         3.8.4-202.fc18.i686.PAE
package:        xfce4-sensors-plugin-1.2.3-6.fc18
reason:         Process /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1000
xsession_errors:
Comment 15 Alonzo Fretwell 2013-06-21 12:22:09 EDT
moving a widiget in the system panel. i have not tried to reproduce it. a particular widget caused the fault. regretably i cannot recall wich widget because i was dealing with allot of them and this is one of my first reports. by the time i got my account setup and so-forth i forgot which widget caused the crash.

reporter:       libreport-2.1.4
backtrace_rating: 4
cmdline:        /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin '' 23 48291344 xfce4-sensors-plugin 'Sensor plugin' 'Show sensor values.' ''
core_backtrace: 
crash_function: standard_free
executable:     /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin
kernel:         3.9.6-200.fc18.i686
package:        xfce4-sensors-plugin-1.2.3-6.fc18
reason:         Process /usr/libexec/xfce4/panel-plugins/xfce4-sensors-plugin was killed by signal 6 (SIGABRT)
runlevel:       N 5
uid:            1000
Comment 16 Fedora End Of Life 2013-07-03 17:31:44 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2013-07-31 18:40:54 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.